Subject: Off-link mode supported?

From: Alun Evans <[email-masked]>
Date: Tue, 27 Jun 2006 18:13:17 +0100

I'm considering a deployment where it could be nice to make use of some of the
notes as described in :

draft-ietf-ipv6-multilink-subnets-00.txt (expired June 2002)

particularly the notion of "off-link" mode:

------------------------------------------------------------------------------
4.1.1.  Making hosts not use ND

If the MSR sets the A (autonomous address-configuration) flag on,
and the L (on-link) flag off, then hosts on the link will attempt
stateless address configuration [ADDRCONF] in the given prefix,
but will not treat the prefix as being on-link.  As a result,
neighbor discovery is effectively disabled and packets to new
destinations always go to the router first, which will then either
forward them if the destination is off-link, or redirect them if
the destination is on-link.

In the remainder of this document, we will refer to this model as
the "off-link" model, since hosts initially treat all addresses in
the subnet as being off-link.

...

Collisions would result if the interface identifier were unique on
the link, but not across the entire multilink subnet.  To avoid
this, MSRs must get involved in duplicate address detection even
for link-local addresses, to ensure that all addresses are unique
across a multilink subnet.

...

Off-link model
     If the subnet is treated as being off-link, all packets are
     sent to a default router.  It is then the default router's
     responsibility to figure out the next-hop of the packets.  If
     the next-hop is on-link, it sends a Redirect to the source.
------------------------------------------------------------------------------

The I-D seemed to die due to the problems described in:

draft-thaler-intarea-multilink-subnet-issues-00.txt (expires August 2006)

and was replaced with ND Proxies [RFC4389] for the multi-link support.

However, nothing seems to have deprecated off-link mode, but I cannot think of
a single deployment that currently uses it, thus do people think it's safe to
use it? i.e. is it likely to be well supported?

(If it's not, then why is the O bit still in the specs...)

thanks,

Alun.

-- 
Alun Evans
IOS Software Engineer, cisco Systems.
http://www.cisco.com/go/ipv6/

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------